# Prove Auth Web SDK

This SDK provides JavaScript client API to the Prove's authentication platform Prove Auth.

## Building

- Make sure you have Node JS, npm, TypeScript installed:
  - Install node, preferably using nvm, current stable version is v20.2.0
  - Make sure to uninstall any old version on TypeScript compiler - `npm uninstall tpc`
  - Install TypeScript `npm install typescript`
  - Build the project from your IDE or CLI - `npm run build`

## Running Samples

- Build the SDK first, then build the sample code:
  - Build SDK web bundle - `npm run clean && npm run build && npm run bundle-dev`
  - Build and start sample code - `cd samples/basic; npm run build && npm run serve`

## Running Unit Tests

This project provides several options for running unit tests. Follow these instructions to execute the tests:

### Standard Test Run

To run the standard test suite, run the following:

```
npm test
```

This command will execute all unit tests and display the results in your default web browser.

### Running Tests with Node

If you need to run tests in a Node.js environment, run the following:

```
npm run test-with-node
```

This command will execute all unit tests and display the results in your terminal.

### Using the Test Runner

Test Runner is a proprietary system of integration testing for Prove Auth backend services and SDKs.
This repository includes only SDK integration part. The rest of the infrastructure is not currently
available to the public.

To run integration tests using Test Runner, assuming you have the infrastructure available, run the following:

npm run test-runner
