import CancelablePromise from './common/cancelable-promise';
export default interface Authenticator {
    authenticate: (authToken: string) => CancelablePromise<void>;
    isPasskeyRegistered: () => boolean;
    isFidoSupported: () => boolean;
    isDeviceRegistered: () => boolean;
    isMobileWeb: () => boolean;
    getDeviceId: () => string | null;
    resetDeviceSettings: () => void;
    unregisterDevice: () => Promise<void>;
    unregisterPasskey: () => Promise<void>;
}
