"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Base64 {
    static stringToBase64(value) {
        return (value.replace(/\-/g, '+').replace(/_/g, '/') +
            '='.repeat(value.length % 4 ? 4 - (value.length % 4) : 0));
    }
    static bufferDecode(value) {
        return Uint8Array.from(atob(Base64.stringToBase64(value)), (c) => c.charCodeAt(0));
    }
    static bufferEncode(value) {
        const arrayValue = ArrayBuffer.isView(value) ? value.buffer : value;
        return btoa(String.fromCharCode.apply(null, Array.from(new Uint8Array(arrayValue))))
            .replace(/\+/g, '-')
            .replace(/\//g, '_')
            .replace(/=/g, '');
    }
}
exports.default = Base64;
