"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class CancelablePromise extends Promise {
    constructor(executor) {
        let onCancel = () => { };
        super((resolve, reject) => executor(resolve, reject, (handler) => (onCancel = handler)));
        this.onCancel = () => {
            onCancel();
        };
    }
    cancel() {
        this.onCancel();
    }
}
exports.default = CancelablePromise;
