export declare enum LogLevel {
    disabled = 0,
    error = 1,
    warn = 2,
    info = 3,
    debug = 4,
    trace = 5
}
export interface LogWriter {
    write: (level: LogLevel, ...args: any[]) => void;
}
export interface Logger {
    trace: (...args: any[]) => void;
    debug: (...args: any[]) => void;
    info: (...args: any[]) => void;
    warn: (...args: any[]) => void;
    error: (...args: any[]) => void;
}
export declare class LoggerFactory {
    private static logWriter;
    private static logLevel;
    static setLogLevel(logLevel: LogLevel): void;
    static setLogWriter(logWriter: LogWriter): void;
    static getLogger(name: string): Logger;
}
