import AuthError from './internal/auth-error';
import PhoneNumberInput, { PhoneValidationError } from './internal/phone-number-input';
export declare class InstantLinkMaxRetryError extends AuthError {
    constructor(message?: string, code?: number);
}
export interface InstantLinkStartStep {
    execute: (phoneNumberNeeded: boolean, instantLinkError?: PhoneValidationError) => Promise<PhoneNumberInput | null>;
}
export type InstantLinkStartStepFn = (phoneNumberNeeded: boolean, instantLinkError?: PhoneValidationError) => Promise<PhoneNumberInput | null>;
export declare enum InstantLinkResultType {
    OnResend = 0,
    OnMobileNumberChange = 1
}
export interface InstantLinkRetryStep {
    execute: (instantLinkError?: InstantLinkMaxRetryError) => Promise<InstantLinkResultType>;
}
export type InstantLinkRetryStepFn = (instantLinkError?: InstantLinkMaxRetryError) => Promise<InstantLinkResultType>;
export type InstantLinkStartInput = PhoneNumberInput;
