"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class AuthError extends Error {
    constructor(message, code, nextStep, reportable) {
        super(message);
        this.code = code;
        this.nextStep = nextStep;
        this.reportable = reportable === undefined || reportable;
    }
    static extractMessage(error) {
        let message = '';
        if (error) {
            const messageKey = 'message';
            if (error[messageKey]) {
                message = error[messageKey];
            }
            else {
                message = error.toString();
                if (message.startsWith('[object ')) {
                    message = JSON.stringify(error);
                }
            }
        }
        return message;
    }
}
exports.default = AuthError;
