import AuthMessage from './auth-message';
export default interface AuthResponse {
    next: string;
    error?: AuthFailure;
    refreshDeviceTrust?: boolean;
}
export interface AuthFailure {
    message: string;
    code: number;
}
export interface RegisterStartAuthResponseData {
    credCreateOptions?: PublicKeyCredentialCreationOptions;
    credRequestOptions?: PublicKeyCredentialRequestOptions;
}
export interface RegisterStartAuthResponse extends AuthResponse {
    data: RegisterStartAuthResponseData;
}
export interface RegisterFinishAuthResponseData {
    deviceId: string;
    passkey: boolean;
    scanMessage?: AuthMessage;
}
export interface RegisterFinishAuthResponse extends AuthResponse {
    data: RegisterFinishAuthResponseData;
}
export type DeviceRegisterAuthResponse = RegisterFinishAuthResponse;
export interface VerifyStartAuthResponseData {
    credRequestOptions: PublicKeyCredentialRequestOptions;
}
export interface VerifyStartAuthResponse extends AuthResponse {
    data: VerifyStartAuthResponseData;
}
export interface VerifyFinishAuthResponseData {
    scanMessage?: AuthMessage;
    deviceId?: string;
    passkey?: boolean;
}
export interface VerifyFinishAuthResponse extends AuthResponse {
    data?: VerifyFinishAuthResponseData;
}
export interface ChallengeResponse extends AuthResponse {
    deviceId?: string;
    challenge?: string;
    ttl?: number;
    receivedAt?: number;
}
export interface MobileStartAuthResponseData {
    redirectUrl?: string;
}
export interface MobileStartAuthResponse extends AuthResponse {
    data?: MobileStartAuthResponseData;
}
export interface OtpStartResponse extends AuthResponse {
    data?: OtpResponseData;
}
export interface OtpFinishResponse extends AuthResponse {
    data?: OtpResponseData;
}
export interface OtpResponseData {
    code?: number;
    message?: string;
}
export interface InstantLinkStartResponse extends AuthResponse {
    data?: InstantLinkResponseData;
}
export type InstantLinkResponseData = OtpResponseData;
