export declare enum UserVerificationLevel {
    Discouraged = "none",
    Preferred = "pref",
    Required = "req"
}
export interface PassiveAuthenticator {
    cdt: boolean;
    uvlvl?: UserVerificationLevel;
}
export interface InstantAuthenticator {
}
export interface InstantLinkAuthenticator {
    mnp: boolean;
    amnrp?: boolean;
    tme?: boolean;
}
export interface OtpAuthenticator {
    mnp: boolean;
}
export interface UniversalAuthenticator {
    endp: string;
    ftu: string;
}
export interface Authenticators {
    pasv?: PassiveAuthenticator;
    inst?: InstantAuthenticator;
    inln?: InstantLinkAuthenticator;
    otp?: OtpAuthenticator;
    unvsl?: UniversalAuthenticator;
}
export interface Signals {
    fpt?: boolean;
    dwn?: boolean;
}
export interface DeviceAuthSubjectClaim {
    auths: Authenticators;
    sgnls?: Signals;
}
export interface MobileAuthSubjectClaim {
    auths: Authenticators;
}
export interface AuthSubjectsClaim {
    dev?: DeviceAuthSubjectClaim;
    mob?: MobileAuthSubjectClaim;
}
export interface AuthClaim {
    id: string;
    ans: string;
    endp: string;
    chlg: string;
    subs: AuthSubjectsClaim;
    next: string;
}
export default interface AuthTokenClaims {
    rid: string;
    auth: AuthClaim;
}
