import { AuthRegistration, Signal, Signals } from './auth-request';
export interface DeviceRegistrationOptions {
    namespace: string;
    endpoint: string;
}
export interface DeviceRegistration {
    readonly namespace: string;
    readonly keyId: string;
    readonly algorithm: string;
    readonly endpoint: string;
    deviceId: string | null;
    fingerprint?: Signal;
    sign: (data: string) => Promise<string>;
    getPublicKey: () => Promise<string>;
    getAuthRegistration: (challenge: string) => Promise<AuthRegistration>;
    setFpSignal: (fpSignal: Signal) => void;
    getSignals: () => Signals;
}
export default interface DeviceAuth {
    createRegistration: (options: DeviceRegistrationOptions) => Promise<DeviceRegistration>;
    getRegistration: (namespace: string) => Promise<DeviceRegistration | null>;
    storeRegistration: (registration: DeviceRegistration) => Promise<void>;
    deleteRegistration: (namespace: string) => Promise<void>;
    reset: () => Promise<void>;
}
