import AuthSession from './auth-session';
import AuthStep from './auth-step';
import { DeviceRole, PasskeyAlreadyExistCallback } from '../authenticator-builder';
import { AuthStatusActions } from './auth-status-actions';
import { Signals } from './auth-request';
export declare class DevicePassiveActions extends AuthStatusActions {
    protected log: import("../common/logger").Logger;
    private readonly getDisplayName;
    private handler?;
    static readonly NO_REQUEST_CREDS_FOUND = "Passkey has already been registered but found no CredentialRequestOptions in the fido/register/start response payload";
    static readonly NO_CREDS_FOUND = "Neither credCreateOptions nor credRequestOptions are found in the fido/register/start response payload";
    static readonly USER_NOT_ACCEPTING_RESPONSE = "User not accepting to continue by reusing the existing passkey with user response";
    protected constructor(getDisplayName?: () => string | null, handler?: PasskeyAlreadyExistCallback);
    protected register(session: AuthSession, signals?: Signals): Promise<string>;
    protected verify(session: AuthSession): Promise<string>;
    private createCredentials;
    private parseCredRequestOptions;
    private getCredentials;
}
export default class DevicePassiveStep extends DevicePassiveActions implements AuthStep {
    static readonly NAME = "device/passive";
    readonly name = "device/passive";
    private readonly role;
    constructor(getDisplayName?: () => string | null, handler?: PasskeyAlreadyExistCallback, role?: DeviceRole);
    execute(session: AuthSession): Promise<string>;
}
