"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceUniversalRedirectExchangeStep = exports.DeviceUniversalRedirectFinishStep = exports.DeviceUniversalRedirectBaseStep = void 0;
const auth_error_1 = __importDefault(require("./auth-error"));
class DeviceUniversalRedirectBaseStep {
    constructor() {
        this.name = '';
    }
    execute(session) {
        return new Promise((resolve, reject) => {
            var _a, _b, _c, _d, _e, _f;
            let redirectUrl = (_f = (_e = (_d = (_c = (_b = (_a = session.claims) === null || _a === void 0 ? void 0 : _a.auth) === null || _b === void 0 ? void 0 : _b.subs) === null || _c === void 0 ? void 0 : _c.dev) === null || _d === void 0 ? void 0 : _d.auths) === null || _e === void 0 ? void 0 : _e.unvsl) === null || _f === void 0 ? void 0 : _f.ftu;
            if (typeof redirectUrl != 'undefined' && redirectUrl) {
                redirectUrl += `?authId=${session.authId}`;
                let upkNext = '';
                if (this.name === 'redirect/exchange') {
                    upkNext = 'authexchange';
                }
                else if (this.name === 'redirect/finish') {
                    upkNext = 'authfinish';
                }
                else {
                    reject(new auth_error_1.default(`Unknown UPK Step: ${this.name}`, 0, session.next, true));
                    return;
                }
                redirectUrl += `&next=${upkNext}`;
                session.platform.urlRedirect(redirectUrl);
                resolve('');
            }
            else {
                reject(new auth_error_1.default('AuthToken claims do not contain final target URL', 0, session.next, true));
            }
        });
    }
}
exports.DeviceUniversalRedirectBaseStep = DeviceUniversalRedirectBaseStep;
class DeviceUniversalRedirectFinishStep extends DeviceUniversalRedirectBaseStep {
    constructor() {
        super(...arguments);
        this.name = DeviceUniversalRedirectFinishStep.NAME;
    }
}
DeviceUniversalRedirectFinishStep.NAME = 'redirect/finish';
exports.DeviceUniversalRedirectFinishStep = DeviceUniversalRedirectFinishStep;
class DeviceUniversalRedirectExchangeStep extends DeviceUniversalRedirectBaseStep {
    constructor() {
        super(...arguments);
        this.name = DeviceUniversalRedirectExchangeStep.NAME;
    }
}
DeviceUniversalRedirectExchangeStep.NAME = 'redirect/exchange';
exports.DeviceUniversalRedirectExchangeStep = DeviceUniversalRedirectExchangeStep;
