"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const logger_1 = require("../common/logger");
const auth_error_1 = __importDefault(require("./auth-error"));
const device_passive_silent_step_1 = __importDefault(require("./device-passive-silent-step"));
class DeviceUniversalStep {
    constructor(forUPK) {
        this.log = logger_1.LoggerFactory.getLogger('device-universal-step');
        this.name = DeviceUniversalStep.NAME;
        this.forUPK = false;
        this.forUPK = forUPK;
    }
    execute(session) {
        this.log.trace('Executing');
        return new Promise((resolve, reject) => {
            var _a, _b, _c;
            if (this.forUPK) {
                resolve(device_passive_silent_step_1.default.NAME);
            }
            else {
                let redirectUrl = (_c = (_b = (_a = session.claims) === null || _a === void 0 ? void 0 : _a.auth.subs.dev) === null || _b === void 0 ? void 0 : _b.auths.unvsl) === null || _c === void 0 ? void 0 : _c.endp;
                if (typeof redirectUrl != 'undefined' && redirectUrl) {
                    redirectUrl += `?authId=${session.authId}&authtoken=${session.authToken}`;
                    session.platform.urlRedirect(redirectUrl);
                    resolve('');
                }
                else {
                    reject(new auth_error_1.default('AuthToken claims do not contain universal redirect URL', 0, session.next, true));
                }
            }
        });
    }
}
DeviceUniversalStep.NAME = 'device/universal';
exports.default = DeviceUniversalStep;
