import Platform from './platform';
export declare class FidoOptionsError extends Error {
    static readonly MISSING_PUBLIC_KEY_PROPERTY = "options missing publicKey property";
    static readonly ABORT_SIGNAL = "Authentication was sent an abort signal";
    static readonly INVALID_STATE_ERROR = "The authenticator was already registered";
    static readonly UNKNOWN_ERROR = "Unknown error: the authenticator was unable to process the predefined options, or unable to generate a new credential";
    static readonly SECURITY_ERROR_FOUND = "Security error found";
    static readonly INVALID_RP_ID = "The rp.id is not valid for the current domain";
    static readonly CONSTRAINT_ERROR = "Discoverable credentials is required but found no matching supported authenticator";
    static readonly USER_VERIFICATION_NOT_POSSILE = "User verification is required during automatic registration but this could not be performed";
    static readonly NO_MATCHING_AUTHENTICATOR = "User verification is required but found no matching supported authenticator";
    static readonly INVALID_CRED_PARAMS = "No entry in pubKeyCredParams having the type of public-key";
    static readonly NO_MATCHING_AUTHENTICATOR_FOR_PARAMS_ALGO = "No available authenticator supported any of the specified pubKeyCredParams algorithms";
    static readonly INVALID_USER_ID_LENGTH = "User ID has invalid length";
    constructor({ message, cause, name }: {
        message: string;
        cause: Error;
        name?: string;
    });
    static identifyAuthenticationError({ error, options, platform, }: {
        error: Error;
        options: CredentialRequestOptions;
        platform: Platform;
    }): FidoOptionsError | Error;
    static identifyRegistrationError({ error, options, platform, }: {
        error: Error;
        options: CredentialCreationOptions;
        platform: Platform;
    }): FidoOptionsError | Error;
}
