import AuthFinishStep from '../auth-finish-step';
import Authenticator from '../authenticator';
import Settings from './settings';
import Platform from './platform';
import CancelablePromise from '../common/cancelable-promise';
import AuthSession from './auth-session';
import AuthStep from './auth-step';
export default class MainAuthenticator implements Authenticator {
    static readonly AUTH_DONE = "done";
    static readonly AUTH_EMPTY = "";
    static readonly MAX_ATTEMPTS = 50;
    private readonly steps;
    protected log: import("../common/logger").Logger;
    protected readonly platform: Platform;
    protected readonly settings: Settings;
    protected readonly authFinishStep?: AuthFinishStep;
    constructor(platform: Platform, settings: Settings, finishStep?: AuthFinishStep, steps?: Array<AuthStep>);
    isPasskeyRegistered(): boolean;
    isFidoSupported(): boolean;
    isDeviceRegistered(): boolean;
    isMobileWeb(): boolean;
    getDeviceId(): string | null;
    resetDeviceSettings(): void;
    authenticate(authToken: string): CancelablePromise<void>;
    unregisterDevice(): Promise<void>;
    unregisterPasskey(): Promise<void>;
    private unregister;
    process(session: AuthSession): CancelablePromise<void>;
    private nextStep;
    private getNextStep;
}
