import AuthSession from './auth-session';
import AuthStep from './auth-step';
import { InstantLinkRetryStep, InstantLinkStartStep } from '../instantlink';
import { AuthStatusActions } from './auth-status-actions';
export default class MobileInstantLinkStep extends AuthStatusActions implements AuthStep {
    static readonly NAME = "mobile/instantlink";
    readonly name = "mobile/instantlink";
    protected log: import("../common/logger").Logger;
    private readonly startStep?;
    private readonly retryStep?;
    private readonly getDeviceIp;
    constructor(startStep?: InstantLinkStartStep, retryStep?: InstantLinkRetryStep, getDeviceIp?: () => string | null);
    private isTestMode;
    execute(session: AuthSession): Promise<string>;
    private getInstantLinkError;
    private runStartStep;
    private runRetryStep;
    private handleTestMode;
}
