import AuthSession from './auth-session';
import AuthStep from './auth-step';
import AuthError from './auth-error';
import { OtpStartStep, OtpFinishStep } from '../otp';
export default class MobileOtpStep implements AuthStep {
    static readonly NAME = "mobile/otp";
    readonly name = "mobile/otp";
    protected log: import("../common/logger").Logger;
    private otpStartStep?;
    private otpFinishStep?;
    constructor(otpStartStep?: OtpStartStep, otpFinishStep?: OtpFinishStep);
    execute(session: AuthSession): Promise<string>;
    static validatePhoneNumberInput(input: any): AuthError | undefined;
    private runOtpStartStep;
    static validateFinishResult(result: any): AuthError | undefined;
    private resendOtp;
    private runOtpFinishStep;
}
