import { AuthRegistration, Signal, Signals } from './auth-request';
import DeviceAuth, { DeviceRegistration, DeviceRegistrationOptions } from './device-auth';
export declare class WebDeviceRegistration implements DeviceRegistration {
    private keys?;
    deviceId: string | null;
    fingerprint?: Signal;
    readonly namespace: string;
    readonly keyId: string;
    readonly algorithm: string;
    readonly endpoint: string;
    readonly createdAt: number;
    constructor(options: DeviceRegistrationOptions | any);
    setFpSignal(fingerprintSignal: Signal): void;
    sign(data: string): Promise<string>;
    getPublicKey(): Promise<string>;
    getAuthRegistration(challenge: string): Promise<AuthRegistration>;
    getSignals(): Signals;
    private initialize;
    private p1363ToDer;
    private lenVal;
}
export default class WebDeviceAuth implements DeviceAuth {
    static readonly DB_VERSION = 1;
    static readonly DB_NAME = "ProveAuth";
    static readonly DB_STORE = "Registrations";
    private readonly dbFactory;
    private readonly log;
    constructor(dbFactory: IDBFactory);
    createRegistration(options: DeviceRegistrationOptions): Promise<DeviceRegistration>;
    getRegistration(namespace: string): Promise<DeviceRegistration | null>;
    storeRegistration(registration: DeviceRegistration): Promise<void>;
    deleteRegistration(namespace: string): Promise<void>;
    reset(): Promise<void>;
    private openDatabase;
}
