import { AuthenticatorBuilder } from '@prove-identity/mobile-auth';
import Platform, { AuthSessionIntegration, MessageChannel, RequestSigner } from './platform';
import WebDeviceAuth from './web-device-auth';
import { Agent } from '@fingerprintjs/fingerprintjs-pro';
export declare class WebSocketMessageChannel implements MessageChannel {
    private readonly webSocket;
    constructor(endpointUrl: string);
    addEventListener(type: string, listener: (event: Event) => void): void;
    send(data: string): void;
    close(): void;
}
export declare class WebPlatform implements Platform {
    private fpPromise;
    readonly webauthn: {
        getCredentials: (options?: CredentialRequestOptions) => Promise<CredentialType | null>;
        createCredentials: (options: CredentialCreationOptions) => Promise<CredentialType | null>;
    };
    readonly deviceAuth: WebDeviceAuth;
    getPlatformName(): string;
    getUserAgent(): string | null;
    isFidoSupported(): boolean;
    fetch(input: string, init?: RequestInit): Promise<Response>;
    createMessageChannel(input: string): MessageChannel;
    createRequestSigner(session: AuthSessionIntegration): RequestSigner;
    private getBrowserName;
    private getBrowserVersion;
    getOSName(): string;
    getDeviceCapabilities(): string[];
    getMobileAuthBuilder(): AuthenticatorBuilder<any>;
    exit(code?: number): void;
    urlRedirect(url: string): void;
    getFpPromise(): Promise<Agent> | undefined;
    setFpPromise(fpPromise: Promise<Agent>): void;
    getOrigin(): string;
}
