export declare enum WebSocketCloseReasons {
    NORMAL_CLOSURE = "Normal closure",
    GOING_AWAY = "The connection is closed because a server is going down or a browser has navigated away from the page.",
    PROTOCOL_ERROR = "The connection is closed due to a protocol error",
    UNSUPPORTED_DATA = "The connection is closed because it has received unsupported data",
    NO_STATUS_RECEIVED = "No closed status code was actually present.",
    ABNORMAL_CLOSURE = "The connection was closed unexpectedly without a close frame",
    INVALID_FRAME_PAYLOAD_DATA = "The connection was closed because it received inconsistent data in a message.",
    POLICY_VIOLATION = "The connection was closed due to policy violation",
    MESSAGE_TOO_BIG = "The connection was closed because it has received a message that is too big for it to process.",
    MANDATORY_EXTENSION = "The connection was closed because the client required a server extension that was not supported.",
    INTERNAL_ERROR = "The connection was closed because the server encountered an unexpected error",
    TLS_HANDSHAKE = "The connection was closed due to a failure to perform a TLS handshake",
    UNKNOWN_REASON = "Unknown reason"
}
