"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebSocketCloseReasons = void 0;
var WebSocketCloseReasons;
(function (WebSocketCloseReasons) {
    WebSocketCloseReasons["NORMAL_CLOSURE"] = "Normal closure";
    WebSocketCloseReasons["GOING_AWAY"] = "The connection is closed because a server is going down or a browser has navigated away from the page.";
    WebSocketCloseReasons["PROTOCOL_ERROR"] = "The connection is closed due to a protocol error";
    WebSocketCloseReasons["UNSUPPORTED_DATA"] = "The connection is closed because it has received unsupported data";
    WebSocketCloseReasons["NO_STATUS_RECEIVED"] = "No closed status code was actually present.";
    WebSocketCloseReasons["ABNORMAL_CLOSURE"] = "The connection was closed unexpectedly without a close frame";
    WebSocketCloseReasons["INVALID_FRAME_PAYLOAD_DATA"] = "The connection was closed because it received inconsistent data in a message.";
    WebSocketCloseReasons["POLICY_VIOLATION"] = "The connection was closed due to policy violation";
    WebSocketCloseReasons["MESSAGE_TOO_BIG"] = "The connection was closed because it has received a message that is too big for it to process.";
    WebSocketCloseReasons["MANDATORY_EXTENSION"] = "The connection was closed because the client required a server extension that was not supported.";
    WebSocketCloseReasons["INTERNAL_ERROR"] = "The connection was closed because the server encountered an unexpected error";
    WebSocketCloseReasons["TLS_HANDSHAKE"] = "The connection was closed due to a failure to perform a TLS handshake";
    WebSocketCloseReasons["UNKNOWN_REASON"] = "Unknown reason";
})(WebSocketCloseReasons = exports.WebSocketCloseReasons || (exports.WebSocketCloseReasons = {}));
