import AuthError from './internal/auth-error';
import PhoneNumberInput, { PhoneNumberStep, PhoneNumberStepFn } from './internal/phone-number-input';
export declare class OtpError extends AuthError {
    constructor(message?: string, code?: number);
}
export type OtpStartInput = PhoneNumberInput;
export type OtpStartStep = PhoneNumberStep;
export type OtpStartStepFn = PhoneNumberStepFn;
export declare enum OtpFinishResultType {
    OnSuccess = 0,
    OnResendOtp = 1,
    OnMobileNumberChange = 2
}
export interface OtpFinishResult {
    resultType: OtpFinishResultType;
    input?: OtpFinishInput;
}
export interface OtpFinishInput {
    otp: string;
}
export interface OtpFinishStep {
    execute: (otpError?: OtpError) => Promise<OtpFinishResult>;
}
export type OtpFinishStepFn = (otpError?: OtpError) => Promise<OtpFinishResult>;
